## minlog 4.0.99.20071012

=== Makefile ===
## $Id: Makefile,v 1.26 2007/09/18 14:34:40 schimans Exp $
# There are several possibilities to install Minlog:

# INSTALLATION IN CURRENT DIRECTORY
# > make

# INSTALLATION IN LOCAL DIRECTORY (i.e. /usr/local)
# > make install

# INSTALLATION IN SYSTEMS DIRECTORIES (i.e. /usr)
# make install DESTDIR=/usr

INSTALL=install
INSTALL_FILE=$(INSTALL) -D -p -m 644
INSTALL_DIR=$(INSTALL) -p -d -m 755
DESTDIR=/usr/local
PREFIX=
MINLOGDIR=$(DESTDIR)/share/minlog
DOCDIR=$(DESTDIR)/share/doc/minlog
BINDIR=$(DESTDIR)/bin
ELDIR=$(DESTDIR)/share/emacs/site-lisp/minlog

## Makefile for Minlog. As most of the minlog project are just scheme sources
## there's not much to be done. However it's nice to have some form of
## interface for it.
## The semantics of all the Makefiles used is the same: 
##  -- .dep    is the file that signals, when the dependencies have been
##             checked for the last time. This file is always younger
##             than the last check of all dependencies in all subdirectories
##  -- clean   the target used to clean up the source. Should also remove
##             all the .dep files. 

all: src init.scm mpc minlog minlog.el doc

install: src init.scm mpc minlog minlog.el doc
	$(INSTALL_DIR) $(PREFIX)$(MINLOGDIR) $(PREFIX)$(BINDIR) $(PREFIX)$(ELDIR)
	sed "s%---MINLOGPATH---%"$(MINLOGDIR)"%g; s%---MINLOGELPATH---%"$(ELDIR)"%g" < src/minlog.el > $(PREFIX)$(ELDIR)/minlog.el
	$(INSTALL_FILE) minlog-mode.el $(PREFIX)$(ELDIR)/minlog-mode.el
	sed "s%---MINLOGPATH---%"$(ELDIR)"%g" < src/minlog > $(PREFIX)$(BINDIR)/minlog
	chmod a+x $(PREFIX)$(BINDIR)/minlog
	sed "s%---MINLOGPATH---%"$(MINLOGDIR)"%g; s%(minlog-load \"examples/\" path))%(load (string-append \""$(DOCDIR)"/examples/\" path)))%g" < src/init.scm > $(PREFIX)$(MINLOGDIR)/init.scm
	(cd src; find . -name '*.scm' -type f -exec $(INSTALL_FILE) {} $(PREFIX)$(MINLOGDIR)/src/{} \;)
	(cd lib; find . -name '*.scm' -type f -exec $(INSTALL_FILE) {} $(PREFIX)$(MINLOGDIR)/lib/{} \;)
	(cd modules; find . -name '*.scm' -type f -exec $(INSTALL_FILE) {} $(PREFIX)$(MINLOGDIR)/modules/{} \;)
	(cd examples; find . -type f -a ! -path "*/CVS/*" -a ! -name ".cvsignore" -exec $(INSTALL_FILE) {} $(PREFIX)$(DOCDIR)/examples/{} \;)
	(cd doc; find . -name '*.pdf' -type f -exec $(INSTALL_FILE) {} $(PREFIX)$(DOCDIR)/{} \;)

minlog.el: src/minlog.el src
	sed "s%---MINLOGPATH---%`pwd`%g; s%---MINLOGELPATH---%`pwd`%g" < src/minlog.el > minlog.el

minlog: src/minlog src
	sed "s%---MINLOGPATH---%`pwd`%g" < src/minlog > minlog
	chmod a+x minlog

init.scm: src/init.scm src
	sed "s%---MINLOGPATH---%`pwd`%g" < src/init.scm > init.scm

mpc: src/mpc init.scm
	sed "s%---MINLOGPATH---%`pwd`%g" < src/mpc > mpc
	chmod a+x mpc

doc: doc/.dep
doc/.dep:
	(cd doc; $(MAKE) .dep)

src: src/.dep.notags
src/.dep.notags:
	(cd src; $(MAKE) .dep.notags)

test: examples/.TEST 

newtest:
	(cd examples; $(MAKE) clean)
	($(MAKE) test)

alltest:
	(cd examples; $(MAKE) clean)
	($(MAKE) -k -i test)

examples/.TEST: init.scm
	(cd examples; $(MAKE) .TEST)

clean:
	rm -rf *~
	rm -rf init.scm mpc minlog minlog.el welcome.scm
	(cd src; $(MAKE) clean)
	(cd doc; $(MAKE) clean)
	(cd examples; $(MAKE) clean)

=== doc/Makefile ===
## $Id: Makefile,v 1.31 2006/07/27 10:05:13 thiel Exp $

## Makefile for subdirectory doc

all: .dep
	ls -sh

.dep: mlcf.pdf mpcref.pdf ref.pdf reflection_manual.pdf tutor.pdf cleanup
	touch .dep

mlcf.pdf: mlcf.tex bussproofs.sty minlog.bib
	pdflatex mlcf >> /dev/null
	bibtex -terse mlcf
	makeindex -q mlcf
	pdflatex mlcf >> /dev/null
	pdflatex mlcf >> /dev/null

mpcref.pdf: mpcref.tex
	pdflatex mpcref.tex >> /dev/null
	pdflatex mpcref.tex >> /dev/null

ref.pdf: ref.tex bussproofs.sty minlog.bib
	pdflatex ref >> /dev/null
	bibtex -terse ref
	makeindex -q ref
	pdflatex ref >> /dev/null
	pdflatex ref >> /dev/null

reflection_manual.pdf: reflection_manual.tex
	pdflatex reflection_manual.tex >> /dev/null
	pdflatex reflection_manual.tex >> /dev/null

tutor.pdf: tutor.tex
	pdflatex tutor >> /dev/null
	bibtex -terse tutor
	pdflatex tutor >> /dev/null


clean: 	cleanup
	rm -rf .dep .dep.*
	rm -rf *.dvi *.pdf *.ps
	rm -rf *~ *%
	ls -sh

cleanup:
	rm -rf *.aux *.log *.blg *.bbl *.idx *.toc *.ind *.ilg *.brf *.out

=== examples/Makefile ===
# $Id: Makefile,v 1.17 2007/07/27 12:17:45 schwicht Exp $
# Makefile for the examples

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

all: .TEST

.TEST:  quant/.TEST prop/.TEST hounif/.TEST arith/.TEST \
	warshall/.TEST dijkstra/.TEST \
	classical/.TEST dc/.TEST bar/.TEST # insertsort.diff 
	touch .TEST

# The relative path to the toplevel Minlog-Dir
TOP= ../


# The recursive calls:

arith/.TEST: .always
	(cd arith; $(MAKE) .TEST)

bar/.TEST: .always
	(cd bar; $(MAKE) .TEST)

dc/.TEST: .always
	(cd dc; $(MAKE) .TEST)

classical/.TEST: .always
	(cd classical; $(MAKE) .TEST)

hounif/.TEST: .always
	(cd hounif; $(MAKE) .TEST)

prop/.TEST: .always
	(cd prop; $(MAKE) .TEST)

quant/.TEST: .always
	(cd quant; $(MAKE) .TEST)

warshall/.TEST: .always
	(cd warshall; $(MAKE) .TEST)

dijkstra/.TEST: .always
	(cd dijkstra; $(MAKE) .TEST)


# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean
	(cd classical; $(MAKE) clean)
	(cd hounif; $(MAKE) clean)
	(cd prop; $(MAKE) clean)
	(cd quant; $(MAKE) clean)
	(cd warshall; $(MAKE) clean)
	(cd dijkstra; $(MAKE) clean)
	(cd bar; $(MAKE) clean)
	(cd dc; $(MAKE) clean)

# Now include the standard rules for testing:
include Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== src/Makefile ===
## $Id: Makefile,v 1.23 2007/09/18 14:34:39 schimans Exp $
## Makefile for subdirectory src

all: TAGS .dep.notags

srcs :sh = ls *.scm

.dep.notags: minitab.scm 

TAGS: $(srcs)
	etags `ls *.scm` ../modules/type-inf.scm ../doc/ref.tex ../doc/tutor.tex

clean:
	rm -rf .dep .dep.*
	rm -rf TAGS
	rm -rf *~ *%
	rm -rf grammar.log

minitab.scm: grammar.scm lalr.scm
	rm -f minitab.scm
	if which petite > /dev/null; then \
		echo "Using petite to build parser..."; \
		(petite grammar.scm > grammar.log); \
	else \
		if which mzscheme > /dev/null; then \
			echo "Using mzscheme to build parser..."; \
			(mzscheme -f grammar.scm > grammar.log); \
		else \
			echo "Please install either Petite Scheme or MzScheme to build the parser!"; \
			false; \
		fi; \
	fi

=== examples/arith/Makefile ===
# $Id: Makefile,v 1.2 2006/05/10 14:48:34 schwicht Exp $
# Makefile for quant

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

.TEST: quotrem/.TEST
	touch .TEST


quotrem/.TEST: .always
	(cd quotrem; $(MAKE) .TEST)

# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency


.always:

clean: genericclean
	(cd quotrem; $(MAKE) clean)

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== examples/bar/Makefile ===
# $Id: Makefile,v 1.2 2006/05/10 14:47:30 schwicht Exp $
# Makefile for bar

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

all: .TEST

.TEST: bar.diff higman01.diff # higman-finite.diff
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== examples/classical/Makefile ===
# $Id: Makefile,v 1.3 2006/05/10 14:00:23 schwicht Exp $
# Makefile for classical

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

.TEST: root.diff wftest.diff 
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== examples/dc/Makefile ===
# $Id: Makefile,v 1.1 2003/10/21 09:09:09 schwicht Exp $
# Makefile for quant

# The targets to be tested. Use FILE.diff as target, if FILE.tac has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

all: .TEST

.TEST: dc-first.diff
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== examples/dijkstra/Makefile ===
# $Id: Makefile,v 1.3 2006/05/10 14:47:17 schwicht Exp $
# Makefile for dijkstra

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

.TEST: count.diff dijkstra.diff
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== examples/hounif/Makefile ===
# $Id: Makefile,v 1.2 2006/05/10 14:46:48 schwicht Exp $
# Makefile for hounif

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

.TEST: nipkow.diff
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../


# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== examples/prop/Makefile ===
# $Id: Makefile,v 1.2 2006/05/10 14:46:28 schwicht Exp $
# Makefile for prop

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

.TEST:  prop.diff
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

=== examples/quant/Makefile ===
# $Id: Makefile,v 1.6 2006/05/10 14:31:56 schwicht Exp $
# Makefile for quant

# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
# tested. Use DIR/.TEST as target if a subdir has to be tested

.TEST: quant.diff orevkov.diff hofmann.diff lnf.diff
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file FILE.diff (which should be
## empty in an ideal world...)

## minlog 4.0.99.20080304

=== examples/Makefile ===
--- 
+++ 
@@ -1,14 +1,16 @@
-# $Id: Makefile,v 1.17 2007/07/27 12:17:45 schwicht Exp $
+# $Id: Makefile,v 1.21 2008/01/25 13:30:16 logik Exp $
 # Makefile for the examples
 
-# The targets to be tested. Use FILE.diff as target, if FILE.scm has to be
-# tested. Use DIR/.TEST as target if a subdir has to be tested
+# The targets to be tested. Use .FILE.test-passed as target, if
+# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
+# to be tested
 
 all: .TEST
 
-.TEST:  quant/.TEST prop/.TEST hounif/.TEST arith/.TEST \
+.TEST:  .test.test-passed \
+	quant/.TEST prop/.TEST hounif/.TEST arith/.TEST \
 	warshall/.TEST dijkstra/.TEST \
-	classical/.TEST dc/.TEST bar/.TEST # insertsort.diff 
+	classical/.TEST dc/.TEST bar/.TEST # .insertsort.test-passed
 	touch .TEST
 
 # The relative path to the toplevel Minlog-Dir
@@ -57,6 +59,7 @@
 	(cd dijkstra; $(MAKE) clean)
 	(cd bar; $(MAKE) clean)
 	(cd dc; $(MAKE) clean)
+	(cd arith; $(MAKE) clean)
 
 # Now include the standard rules for testing:
 include Makefile.template
@@ -64,5 +67,5 @@
 
 ## How it works:
 ## entry point is always the target .TEST
-## Then for every file we have to produce the file FILE.diff (which should be
-## empty in an ideal world...)
+## Then for every file we have to produce the file .FILE.test-passed
+

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-## $Id: Makefile,v 1.23 2007/09/18 14:34:39 schimans Exp $
+## $Id: Makefile,v 1.25 2008/01/25 13:30:09 logik Exp $
 ## Makefile for subdirectory src
 
 all: TAGS .dep.notags
+
 
 srcs :sh = ls *.scm

=== examples/arith/Makefile ===
# $Id: Makefile,v 1.4 2008/01/25 13:30:27 logik Exp $
# Makefile for quant

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST: quotrem/.TEST
	touch .TEST


quotrem/.TEST: .always
	(cd quotrem; $(MAKE) .TEST)

# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency


.always:

clean: genericclean
	(cd quotrem; $(MAKE) clean)

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/bar/Makefile ===
# $Id: Makefile,v 1.4 2008/01/25 13:30:20 logik Exp $
# Makefile for bar

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

all: .TEST

.TEST: .bar.test-passed .higman01.test-passed # .higman-finite.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/classical/Makefile ===
# $Id: Makefile,v 1.5 2008/01/25 13:30:17 logik Exp $
# Makefile for classical

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST: .root.test-passed .wftest.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/dc/Makefile ===
# $Id: Makefile,v 1.3 2008/01/25 13:30:25 logik Exp $
# Makefile for quant

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.tac has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

all: .TEST

.TEST: .dc-first.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/dijkstra/Makefile ===
# $Id: Makefile,v 1.5 2008/01/25 13:30:26 logik Exp $
# Makefile for dijkstra

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST: .count.test-passed .dijkstra.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/hounif/Makefile ===
# $Id: Makefile,v 1.4 2008/01/25 13:30:13 logik Exp $
# Makefile for hounif

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST: .nipkow.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../


# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/prop/Makefile ===
# $Id: Makefile,v 1.4 2008/01/25 13:30:30 logik Exp $
# Makefile for prop

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST:  .prop.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/quant/Makefile ===
# $Id: Makefile,v 1.8 2008/01/25 13:30:24 logik Exp $
# Makefile for quant

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST: 	.quant.test-passed .orevkov.test-passed .hofmann.test-passed \
	.lnf.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/warshall/Makefile ===
# $Id: Makefile,v 1.4 2008/01/25 13:30:22 logik Exp $
# Makefile for warshall

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

.TEST: .warshall.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

=== examples/arith/quotrem/Makefile ===
# $Id: Makefile,v 1.4 2008/01/25 13:30:26 logik Exp $
# Makefile for arith/quotrem

# The targets to be tested. Use .FILE.test-passed as target, if
# FILE.scm has to be tested. Use DIR/.TEST as target if a subdir has
# to be tested

all: .TEST

.TEST: .quotrem-ex.test-passed
	touch .TEST


# The relative path to the toplevel Minlog-Dir
TOP= ../../../

# clean has to be implemented at each level. Always have genericclean as a
# dependency

clean: genericclean

#
# Now include the standard rules for testing:
#
include ../../Makefile.template


## How it works:
## entry point is always the target .TEST
## Then for every file we have to produce the file .FILE.test-passed

## minlog 4.0.99.20100221

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## $Id: Makefile,v 1.26 2007/09/18 14:34:40 schimans Exp $
+## $Id: Makefile,v 1.34 2008/02/08 10:20:09 logik Exp $
 # There are several possibilities to install Minlog:
 
 # INSTALLATION IN CURRENT DIRECTORY
@@ -86,3 +86,6 @@
 	(cd src; $(MAKE) clean)
 	(cd doc; $(MAKE) clean)
 	(cd examples; $(MAKE) clean)
+
+# git demo
+# git demo 3

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## $Id: Makefile,v 1.31 2006/07/27 10:05:13 thiel Exp $
+## $Id: Makefile,v 1.32 2008/01/25 13:30:19 logik Exp $
 
 ## Makefile for subdirectory doc

=== examples/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.21 2008/01/25 13:30:16 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for the examples
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-## $Id: Makefile,v 1.25 2008/01/25 13:30:09 logik Exp $
+## $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 ## Makefile for subdirectory src
 
 all: TAGS .dep.notags
@@ -24,8 +24,13 @@
 		(petite grammar.scm > grammar.log); \
 	else \
 		if which mzscheme > /dev/null; then \
-			echo "Using mzscheme to build parser..."; \
-			(mzscheme -f grammar.scm > grammar.log); \
+			if mzscheme --version =~ "v4"; then \
+				echo "Using mzscheme (> v4) to build parser..."; \
+				(mzscheme -l mzscheme -l r5rs/init -f grammar.scm > grammar.log); \
+			else \
+				echo "Using mzscheme (< v4) to build parser..."; \
+				(mzscheme -f grammar.scm > grammar.log); \
+			fi; \
 		else \
 			echo "Please install either Petite Scheme or MzScheme to build the parser!"; \
 			false; \

=== examples/arith/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.4 2008/01/25 13:30:27 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for quant
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== examples/bar/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.4 2008/01/25 13:30:20 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for bar
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== examples/classical/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.5 2008/01/25 13:30:17 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for classical
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== examples/dc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.3 2008/01/25 13:30:25 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for quant
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== examples/dijkstra/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.5 2008/01/25 13:30:26 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for dijkstra
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== examples/hounif/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.4 2008/01/25 13:30:13 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for hounif
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== examples/prop/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.4 2008/01/25 13:30:30 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for prop
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== examples/quant/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.8 2008/01/25 13:30:24 logik Exp $
+# $Id: Makefile 2156 2008-01-25 13:25:12Z schimans $
 # Makefile for quant
 
 # The targets to be tested. Use .FILE.test-passed as target, if

=== debian/changelog ===
minlog (4.0.99.20100221-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "contains /usr/share/doc-base/doc-base":
    s/doc-base/minlog/ debian/minlog.doc-base
    (closes: #581738).

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jul 2010 17:56:47 +0200

minlog (4.0.99.20100221-5.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/compat
    - Update to 7.
  * debian/control
    - Remove EOL whitespaces.
    - (Build-Depends): Change obsolete mzscheme to plt-scheme.
      Patch tanks to Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
      (FTBFS; Closes: #577343). Add emacs23. Remove emacs21.
      Update to debhelper 7.1.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Update old FSF addresses to point to URL.
    - Point to GPL-2. Remove EOL whitespaces.
  * debian/doc-base
    - New file.
  * debian/rules
    - Remove EOL whitespaces.
    - (install): Update dh_clean to dh_prep.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 11 May 2010 13:36:50 +0300

minlog (4.0.99.20100221-5) unstable; urgency=low (high for users of mzsccheme)

  * Closes: #570235 due to incompatibility between mzscheme and r5rs
  * upate to svn head

 -- Freiric Barral <barral@math.lmu.de>  Sat, 20 Feb 2010 17:55:50 +0100

minlog (4.0.99.20080304-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * add ${misc:Depends}
  * Change Build dependency fronm tetex to texlive (Closes: #562301)

 -- Christoph Egger <christoph@debian.org>  Sat, 13 Feb 2010 00:17:04 +0100

minlog (4.0.99.20080304-4) unstable; urgency=low

  * CVS snapshot

 -- Freiric Barral <barral@math.lmu.de>  Tue, 04 Mar 2008 11:21:04 +0100

minlog (4.0.99-4) unstable; urgency=low

  * Added missing copyright notices.
  * Initial upload closes: #406186

 -- Freiric Barral <barral@math.lmu.de>  Fri,  12 Oct 2007 13:55:13 +0100

minlog (4.0.99-3) unstable; urgency=low

  * XEmacs does not work with Minlog. So recommend either emacs21 or
    emacs22 (though the latter is not available yet).

 -- Freiric Barral <barral@math.lmu.de>  Wed,  3 Nov 2006 19:28:10 +0100

minlog (4.0.99-2) unstable; urgency=low

  * Use debhelper v4 and therefore put everything into debian/minlog

 -- Freiric Barral <barral@math.lmu.de>  Wed,  2 Nov 2006 19:27:10 +0100

minlog (4.0.99-1) unstable; urgency=low

  * Initial release

 -- Freiric Barral <barral@math.lmu.de>  Wed,  1 Nov 2006 19:26:10 +0100

=== debian/control ===
Source: minlog
Section: math
Priority: optional
Maintainer: Freiric Barral <barral@math.lmu.de>
Build-Depends: debhelper (>= 7.1), plt-scheme, texlive (>= 2007-11)
Standards-Version: 3.8.4
Homepage: http://www.minlog-system.de

Package: minlog
Architecture: all
Depends: ${misc:Depends}, plt-scheme | guile
Recommends: emacs23 | emacs22 | emacsen
Suggests: proofgeneral-minlog, quack-el
Description: Proof assistant based on first order natural deduction calculus
 intended to reason about computable functionals, using minimal
 rather than classical or intuitionistic logic. The main motivation
 behind MINLOG is to exploit the proofs-as-programs paradigm for
 program development and program verification. Proofs are in fact
 treated as first class objects which can be normalized. If a formula
 is existential then its proof can be used for reading off an instance
 of it, or changed appropriately for program development by proof
 transformation. To this end MINLOG is equipped with tools to extract
 functional programs directly from proof terms. This also applies to
 non-constructive proofs, using a refined A-translation. The system
 is supported by automatic proof search and normalization by
 evaluation as an efficient term rewriting device.
 .
 Minlog can be used with ProofGeneral, which allows proofs to be
 edited using emacs and xemacs. This requires the proofgeneral-minlog
 package to be installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) DESTDIR=/usr
	#docbook-to-man debian/minlog.sgml > minlog.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/minlog.
	$(MAKE) install DESTDIR=/usr PREFIX=$(CURDIR)/debian/minlog


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman debian/minlog.1
	dh_link
	dh_strip
	dh_compress -Xminlog/examples -X.pdf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://www.minlog-system.de .*minlog-([\d.]+).tar.gz
